Service Pack Migration

Upgrading within a major SUSE Linux Enterprise Server version is fully automated. For example, upgrading from SLE 12 SP1 to SLE 12 SP4.

Before migrating to SLE 12 SP3 or later, check which PostgreSQL versions you have installed. The migration needs PostgreSQL 9.4 and 9.6 installed in parallel. PostgreSQL 9.4 is only available in SUSE Linux Enterprise 12 SP2. For more on upgrading the database, see upgrade:db-migration.adoc.

SUSE offers a graphical and command line tool for upgrading to a new service pack. For instructions on how to complete this upgrade, see https://www.suse.com/documentation/sles-12/book_sle_deployment/data/cha_update_sle.html.